Redmine - Defect #7306

Requirements for Redmine trunk and >=1.0.5
2011-01-12 09:26 - Azamat Hackimov

Status: Closed Start date: 2011-01-12
Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Website (redmine.org) Estimated time: 0.00 hour

Target version:

Resolution: Wont fix Affected version:

Description

Since Redmine now require i18n-0.4.2, i18n itself require >=rails-2.3.10, and rails require >=rack-1.2.1. Please update
Redminelnstall if it is correct.

History

#1 - 2011-01-12 09:34 - Jean-Baptiste Barth

It isn't, i18n doesn't require rails at all from what I've seen. Plus rails 2.3.10 isn't supported for the moment (weird bugs in redmine due to active record
incompatibilities).. Can you confirm (or paste the error you see with i18n install) before we close ?

#2 - 2011-01-12 10:02 - Azamat Hackimov
| get this output:

script/server -e production

/usr/lib64/ruby/site_ruby/1.8/rubygems.rb:779:in “report_activate_error': RubyGem version error: i18n(0.4.2 not ~> 0.1.3) (Gem::LoadError)
from /usr/lib64/ruby/site_ruby/1.8/rubygems.rb:214:in “activate'

from /usr/lib64/ruby/site_ruby/1.8/rubygems.rb:1082:in “gem'

from /usr/lib64/ruby/gems/1.8/gems/activesupport-2.3.5/lib/active_support/vendor.rb:15
from /usr/lib64/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in "gem_original_require
from /usr/lib64/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in “require’

from /usr/lib64/ruby/gems/1.8/gems/activesupport-2.3.5/lib/active_support.rb:54

from /usr/lib64/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in "gem_original_require
from /usr/lib64/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in “require’

from /usr/lib64/ruby/gems/1.8/gems/rails-2.3.5/lib/commands/server.rb:1

from /usr/lib64/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in "gem_original_require
from /usr/lib64/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in “require’

from script/server:3

"
"

"

And there installed gems:

@

gem list
e | OCAL GEMS ***

actionmailer (2.3.5)
actionpack (2.3.5)
activerecord (2.3.5)
activeresource (2.3.5)
activesupport (2.3.5)
builder (2.1.2)
cgi_multipart_eof_fix (2.5.0)
daemons (1.0.10)
fastthread (1.0.7)
gem_plugin (0.2.3)
i18n (0.4.2)

mongrel (1.1.5)
mysql (2.8.2)

racc (1.4.6)

rack (1.0.1)

rails (2.3.5)

rake (0.8.7)

shoulda (2.10.3)
text-format (1.0.0)
text-hyphen (1.0.0)
tmail (1.2.7.1)
tzinfo (0.3.23)@

#3 - 2011-01-15 15:34 - Jean-Philippe Lang

Did you make any change to your active_support gem?
We have gem 'i18n', '>= 0.1.3"in 2.3.5 (not ~>) which should not raise this error.

#4 - 2015-04-05 07:02 - Go MAEDA
- Status changed from New to Closed

- Resolution set to Wont fix

Bundler have been used to manage gems since Redmine 1.4, no need to install i18n manually any longer.
We can close this issue.

2025-08-23 22


http://www.tcpdf.org

